pangomm: Pango::AttrColor Class Reference

pangomm 2.46.5

Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Pango::AttrColor Class Reference

A Pango::AttrColor is used to represent an attribute which is a color. More...

`#include <pangomm/attributes.h>`

Inheritance diagram for Pango::AttrColor:
[legend]

## Public Member Functions
| AttrColor (const AttrColor & src)
| AttrColor (PangoAttrColor * castitem, bool take_copy=true)
AttrColor & | operator= (const AttrColor & src)
Color | get_color () const
| Gets the color which is the value of the attribute.
void | set_color (const Color & value)
| Sets the color which is the value of the attribute.
PangoAttrColor * | gobj ()
| Provides access to the underlying C GObject.
const PangoAttrColor * | gobj () const
| Provides access to the underlying C GObject.
Public Member Functions inherited from Pango::Attribute
| Attribute ()
| Constructs an invalid attribute.
| Attribute (const Attribute & src)
| Attribute (PangoAttribute * castitem, bool take_copy=true)
| ~Attribute ()
Attribute & | operator= (const Attribute & src)
AttrType | get_type () const
| Gets the type ID for this attribute.
unsigned int | get_start_index () const
| Gets the start index of the range.
unsigned int | get_end_index () const
| Gets the end index of the range.
void | set_start_index (const unsigned int & value)
| Sets the start index of the range.
void | set_end_index (const unsigned int & value)
| Sets the end index of the range.
bool | equal (const Attribute & attr2) const
| Compare two attributes for equality.
PangoAttribute * | gobj ()
| Provides access to the underlying C GObject.
const PangoAttribute * | gobj () const
| Provides access to the underlying C GObject.

## Protected Member Functions
| AttrColor ()

## Related Symbols
(Note that these are not member symbols.)
Pango::AttrColor | wrap (PangoAttrColor * object, bool take_copy=false)
Related Symbols inherited from Pango::Attribute
bool | operator== (const Attribute & lhs, const Attribute & rhs)
bool | operator!= (const Attribute & lhs, const Attribute & rhs)
Pango::Attribute | wrap (PangoAttribute * object, bool take_copy=false)

## Additional Inherited Members
Static Public Member Functions inherited from Pango::Attribute
static AttrType | register_type (const Glib::ustring & name)
| Allocate a new attribute type ID.
static Glib::ustring | get_type_name (AttrType type)
| Fetches the attribute type name passed in when registering the type using register_type().
static AttrString | create_attr_family (const Glib::ustring & family)
| Create a new font family attribute.
static AttrLanguage | create_attr_language (const Language & language)
| Create a new language tag attribute.
static AttrColor | create_attr_foreground (guint16 red, guint16 green, guint16 blue)
| Create a new foreground color attribute.
static AttrColor | create_attr_background (guint16 red, guint16 green, guint16 blue)
| Create a new background color attribute.
static AttrInt | create_attr_foreground_alpha (guint16 alpha)
| Create a new foreground alpha attribute.
static AttrInt | create_attr_background_alpha (guint16 alpha)
| Create a new background alpha attribute.
static AttrInt | create_attr_size (int size)
| Create a new font-size attribute.
static AttrInt | create_attr_size_absolute (int size)
| Create a new font-size attribute.
static AttrInt | create_attr_style (Style style)
| Create a new font slant style attribute.
static AttrInt | create_attr_weight (Weight weight)
| Create a new font weight attribute.
static AttrInt | create_attr_variant (Variant variant)
| Create a new font variant attribute (normal or small caps).
static AttrInt | create_attr_stretch (Stretch stretch)
| Create a new font stretch attribute.
static AttrFontDesc | create_attr_font_desc (const FontDescription & desc)
| Create a new font description attribute.
static AttrInt | create_attr_underline (Underline underline)
| Create a new underline-style object.
static AttrColor | create_attr_underline_color (guint16 red, guint16 green, guint16 blue)
| Create a new underline color attribute.
static AttrInt | create_attr_overline (Overline overline)
| Create a new overline-style object.
static AttrColor | create_attr_overline_color (guint16 red, guint16 green, guint16 blue)
| Create a new overline color attribute.
static AttrInt | create_attr_strikethrough (bool strikethrough)
| Create a new font strike-through attribute.
static AttrColor | create_attr_strikethrough_color (guint16 red, guint16 green, guint16 blue)
| Create a new strikethrough color attribute.
static AttrInt | create_attr_rise (int rise)
| Create a new baseline displacement attribute.
static AttrFloat | create_attr_scale (double scale_factor)
| Create a new font size scale attribute.
static AttrInt | create_attr_fallback (bool enable_fallback)
| Create a new font fallback attribute.
static AttrInt | create_attr_letter_spacing (int letter_spacing)
| Create a new letter-spacing attribute.
static AttrShape | create_attr_shape (const Rectangle & ink_rect, const Rectangle & logical_rect)
| Create a new shape attribute.
static AttrInt | create_attr_gravity (Gravity gravity)
| Create a new gravity attribute.
static AttrInt | create_attr_gravity_hint (int hint)
| Create a new gravity hint attribute.
static AttrString | create_attr_font_features (const Glib::ustring & features)
| Create a new font features tag attribute.
static AttrInt | create_attr_allow_breaks (bool allow_breaks)
| Create a new allow-breaks attribute.
static AttrInt | create_attr_insert_hyphens (bool insert_hyphens)
| Create a new insert-hyphens attribute.
static AttrInt | create_attr_show (ShowFlags show)
| Create a new attribute that influences how invisible characters are rendered.
Protected Attributes inherited from Pango::Attribute
PangoAttribute * | gobject_

## Detailed Description

A Pango::AttrColor is used to represent an attribute which is a color.

## Constructor & Destructor Documentation

## ◆ AttrColor() [1/3]

Pango::AttrColor::AttrColor | ( |  | ) |
| protected

## ◆ AttrColor() [2/3]

Pango::AttrColor::AttrColor | ( | const AttrColor & | src | ) |

## ◆ AttrColor() [3/3]

Pango::AttrColor::AttrColor | ( | PangoAttrColor * | castitem,
|  | bool | take_copy = true )
| explicit

## Member Function Documentation

## ◆ get_color()

Color Pango::AttrColor::get_color | ( |  | ) | const

Gets the color which is the value of the attribute.

Returns
  The color value of the attribute.

## ◆ gobj() [1/2]

PangoAttrColor * Pango::AttrColor::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const PangoAttrColor * Pango::AttrColor::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ operator=()

AttrColor & Pango::AttrColor::operator= | ( | const AttrColor & | src | ) |

## ◆ set_color()

void Pango::AttrColor::set_color | ( | const Color & | value | ) |

Sets the color which is the value of the attribute.

Parameters

  value | The new color value for the attribute.

## Friends And Related Symbol Documentation

## ◆ wrap()

Pango::AttrColor wrap | ( | PangoAttrColor * | object,
|  | bool | take_copy = false )
| related